diff --git a/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart b/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart
index 1670333..c0148ba 100644
--- a/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart
+++ b/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_detail_view.dart
@@ -1052,12 +1777,21 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
               },
               child: Text(
                 'Batal',
-                style: TextStyle(color: AppTheme.primaryColor),
+                style: TextStyle(
+                  color: Colors.grey[800],
+                  fontWeight: FontWeight.w600,
+                ),
               ),
             ),
             ElevatedButton(
               style: ElevatedButton.styleFrom(
-                backgroundColor: AppTheme.errorColor,
+                backgroundColor: Colors.red,
+                elevation: 0,
+                shape: RoundedRectangleBorder(
+                  borderRadius: BorderRadius.circular(8),
+                ),
+                padding:
+                    const EdgeInsets.symmetric(horizontal: 15, vertical: 10),
               ),
               onPressed: () {
                 Navigator.of(context).pop();
@@ -1066,8 +1800,42 @@ class LaporanPenyaluranDetailView extends GetView<LaporanPenyaluranController> {
               child: const Text('Hapus'),
             ),
           ],
+          actionsPadding:
+              const EdgeInsets.symmetric(horizontal: 16, vertical: 12),
         );
       },
     );
   }
+
+  // Tambahkan helper untuk membuat counter status
+  Widget _buildStatusCounter(String status, Color color, int count) {
+    return Column(
+      children: [
+        Container(
+          padding: const EdgeInsets.all(10),
+          decoration: BoxDecoration(
+            color: color.withOpacity(0.2),
+            shape: BoxShape.circle,
+          ),
+          child: Text(
+            count.toString(),
+            style: TextStyle(
+              fontSize: 16,
+              fontWeight: FontWeight.bold,
+              color: color,
+            ),
+          ),
+        ),
+        const SizedBox(height: 8),
+        Text(
+          status,
+          style: TextStyle(
+            fontSize: 12,
+            fontWeight: FontWeight.w500,
+            color: color,
+          ),
+        ),
+      ],
+    );
+  }
 }
diff --git a/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_view.dart b/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_view.dart
index f31c874..c0cbbd1 100644
--- a/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_view.dart
+++ b/lib/app/modules/laporan_penyaluran/views/laporan_penyaluran_view.dart
@@ -6,7 +6,6 @@ import 'package:penyaluran_app/app/theme/app_theme.dart';
 import 'package:penyaluran_app/app/utils/format_helper.dart';
 import 'package:penyaluran_app/app/widgets/custom_app_bar.dart';
 import 'package:penyaluran_app/app/widgets/status_badge.dart';
-import 'package:intl/intl.dart';
 
 class LaporanPenyaluranView extends GetView<LaporanPenyaluranController> {
   const LaporanPenyaluranView({super.key});
@@ -255,8 +254,8 @@ class LaporanPenyaluranView extends GetView<LaporanPenyaluranController> {
                       overflow: TextOverflow.ellipsis,
                     ),
                   ),
-                  const SizedBox(width: 8),
-                  StatusBadge(status: laporan.status ?? 'DRAFT'),
+                  // const SizedBox(width: 8),
+                  // StatusBadge(status: laporan.status ?? 'DRAFT'),
                 ],
               ),
             ),
@@ -273,10 +272,11 @@ class LaporanPenyaluranView extends GetView<LaporanPenyaluranController> {
                         Icons.calendar_today,
                         'Tanggal',
                         laporan.tanggalLaporan != null
-                            ? DateTimeHelper.formatDateTime(
+                            ? FormatHelper.formatDateTime(
                                 laporan.tanggalLaporan!)
                             : '-',
                       ),
+                      const SizedBox(width: 16),
                       _buildInfoItem(
                         Icons.description,
                         'Status',
@@ -538,8 +538,8 @@ class LaporanPenyaluranView extends GetView<LaporanPenyaluranController> {
                             const SizedBox(width: 4),
                             Text(
                               penyaluran.tanggalSelesai != null
-                                  ? DateFormat('dd/MM/yyyy')
-                                      .format(penyaluran.tanggalSelesai!)
+                                  ? FormatHelper.formatDateTime(
+                                      penyaluran.tanggalSelesai!)
                                   : '-',
                               style: TextStyle(
                                 fontSize: 12,
diff --git a/lib/app/modules/petugas_desa/bindings/jadwal_penyaluran_binding.dart b/lib/app/modules/petugas_desa/bindings/jadwal_penyaluran_binding.dart
new file mode 100644
index 0000000..3d09ea1
--- /dev/null
+++ b/lib/app/modules/petugas_desa/bindings/jadwal_penyaluran_binding.dart
@@ -0,0 +1,20 @@
+import 'package:get/get.dart';
+import 'package:penyaluran_app/app/modules/petugas_desa/controllers/jadwal_penyaluran_controller.dart';
+import 'package:penyaluran_app/app/services/jadwal_update_service.dart';
+
+class JadwalPenyaluranBinding extends Bindings {
+  @override
+  void dependencies() {
+    Get.lazyPut<JadwalPenyaluranController>(
+      () => JadwalPenyaluranController(),
+    );
+
+    // Register service untuk komunikasi pembaruan jadwal
+    if (!Get.isRegistered<JadwalUpdateService>()) {
+      Get.lazyPut<JadwalUpdateService>(
+        () => JadwalUpdateService(),
+        fenix: true, // Pastikan service tetap aktif selama aplikasi berjalan
+      );
+    }
+  }
+}
diff --git a/lib/app/modules/petugas_desa/components/calendar_view_widget.dart b/lib/app/modules/petugas_desa/components/calendar_view_widget.dart
index 9cef6c9..95e2e00 100644
--- a/lib/app/modules/petugas_desa/components/calendar_view_widget.dart
+++ b/lib/app/modules/petugas_desa/components/calendar_view_widget.dart
@@ -298,7 +298,7 @@ class CalendarViewWidget extends StatelessWidget {
     for (var jadwal in allJadwal) {
       if (jadwal.tanggalPenyaluran != null) {
         DateTime jadwalDate =
-            DateTimeHelper.toLocalDateTime(jadwal.tanggalPenyaluran!);
+            FormatHelper.toLocalDateTime(jadwal.tanggalPenyaluran!);
 
         if (jadwalDate
                 .isAfter(firstDayOfMonth.subtract(const Duration(days: 1))) &&
@@ -346,7 +346,7 @@ class CalendarViewWidget extends StatelessWidget {
 
   void _showAppointmentDetails(BuildContext context, Appointment appointment) {
     final String formattedDate =
-        DateTimeHelper.formatDateIndonesian(appointment.startTime);
+        FormatHelper.formatDateIndonesian(appointment.startTime);
 
     // Dapatkan status dari ID jadwal
     String? status = _getStatusFromAppointmentId(appointment.id);
diff --git a/lib/app/modules/petugas_desa/components/jadwal_section_widget.dart b/lib/app/modules/petugas_desa/components/jadwal_section_widget.dart
index 68537ee..bcbee64 100644
--- a/lib/app/modules/petugas_desa/components/jadwal_section_widget.dart
+++ b/lib/app/modules/petugas_desa/components/jadwal_section_widget.dart
@@ -207,7 +207,7 @@ class JadwalSectionWidget extends StatelessWidget {
 
     // Format tanggal dan waktu menggunakan helper
     String formattedDateTime =
-        DateTimeHelper.formatDateTime(jadwal.tanggalPenyaluran);
+        FormatHelper.formatDateTime(jadwal.tanggalPenyaluran);
 
     // Dapatkan nama lokasi dan kategori
     String lokasiName =
diff --git a/lib/app/modules/petugas_desa/controllers/detail_penyaluran_controller.dart b/lib/app/modules/petugas_desa/controllers/detail_penyaluran_controller.dart
index 18cfcfb..f50ef4b 100644
--- a/lib/app/modules/petugas_desa/controllers/detail_penyaluran_controller.dart
+++ b/lib/app/modules/petugas_desa/controllers/detail_penyaluran_controller.dart
@@ -211,18 +211,16 @@ class DetailPenyaluranController extends GetxController {
           .eq('id', penerima.id!)
           .single();
 
-      if (penerimaData != null) {
-        final String stokBantuanId = penerimaData['stok_bantuan_id'];
-        final double jumlah = penerimaData['jumlah_bantuan'] is int
-            ? penerimaData['jumlah_bantuan'].toDouble()
-            : penerimaData['jumlah_bantuan'];
+      final String stokBantuanId = penerimaData['stok_bantuan_id'];
+      final double jumlah = penerimaData['jumlah_bantuan'] is int
+          ? penerimaData['jumlah_bantuan'].toDouble()
+          : penerimaData['jumlah_bantuan'];
 
-        // Kurangi stok dan catat riwayat
-        final petugasId = _supabaseService.client.auth.currentUser?.id;
-        if (petugasId != null) {
-          await _supabaseService.kurangiStokDariPenyaluran(
-              penerima.id!, stokBantuanId, jumlah, petugasId);
-        }
+      // Kurangi stok dan catat riwayat
+      final petugasId = _supabaseService.client.auth.currentUser?.id;
+      if (petugasId != null) {
+        await _supabaseService.kurangiStokDariPenyaluran(
+            penerima.id!, stokBantuanId, jumlah, petugasId);
       }
 
       // Refresh data setelah konfirmasi berhasil
